<div
  class="card"
  *ngIf="item && inventoryItemQuantity"
  (click)="showDescription()"
>
  <div class="item-image-container" [ngSwitch]="item.name">
    <app-drill class="svg-icon" *ngSwitchCase="'Drill'"></app-drill>
    <app-tarps class="svg-icon" *ngSwitchCase="'Tarps'"></app-tarps>
    <app-truck class="svg-icon" *ngSwitchCase="'Truck'"></app-truck>
    <app-robot class="svg-icon" *ngSwitchCase="'Robot'"></app-robot>
    <div *ngSwitchCaseDefault></div>
    <h3 class="total-modify-amount">
      +{{ item.amountPerIntervalMultiplier }} each
    </h3>
    <p class="quantity">x{{ inventoryItemQuantity }}</p>
  </div>

  <div class="item-description-modal" *ngIf="isDescriptionShown">
    <div class="description-container">
      <h3>{{ item.name }}</h3>
      <p>{{ item.description }}</p>
    </div>
  </div>
</div>

<div
  class="card"
  *ngIf="findable && inventoryItemQuantity"
  (click)="showDescription()"
>
  <div class="item-image-container" [ngSwitch]="findable.name">
    <app-robot-head
      class="svg-icon"
      *ngSwitchCase="'Robot Head'"
    ></app-robot-head>
    <app-robot-torso
      class="svg-icon"
      *ngSwitchCase="'Robot Torso'"
    ></app-robot-torso>
    <app-robot-arm class="svg-icon" *ngSwitchCase="'Robot Arm'"></app-robot-arm
    ><app-robot-leg
      class="svg-icon"
      *ngSwitchCase="'Robot Leg'"
    ></app-robot-leg>
    <div *ngSwitchCaseDefault></div>

    <p class="quantity">x{{ inventoryItemQuantity }}</p>
  </div>

  <div class="item-description-modal" *ngIf="isDescriptionShown">
    <div class="description-container">
      <h3>{{ findable.name }}</h3>
      <p>{{ findable.description }}</p>
    </div>
  </div>
</div>
